# https://github.com/zeromq/libzmq/releases/download/v4.2.5/zeromq-4.2.5.tar.gz
%define major	5
%define libname   %mklibname zmq %{major}
%define develname %mklibname zmq -d

Summary:        Software library for fast, message-based applications
Name:           zeromq
Version:        4.2.5
Release:        %mkrel 1
Summary:        Software library for fast, message-based applications

License:        LGPLv3+
Group:          Development/Other
Url:            http://www.zeromq.org
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  asciidoc
BuildRequires:  python
BuildRequires:  %{_lib}pgm-devel
BuildRequires:  %{_lib}sodium-devel
BuildRequires:  %{_lib}unwind-devel

%description
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

%package -n	%{libname}
Summary:        Software library for fast, message-based applications
Group:          System/Libraries
Obsoletes:      libzeromq5 < %{version}-%{release}
Provides:       libzeromq5 = %{version}-%{release}

%description -n %{libname}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the %{name} shared library.

%package -n	%{develname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:       %{name}-utils = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      lib%{name}-devel < %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the libraries and header files needed to develop
applications that use %{name}.

%package utils
Summary:        Utility binaries for zeromq
Group:          Development/Other

%description utils
Utility binaries for zeromq

%prep
%setup -q

%build
%configure2_5x \
  --with-pgm \
  --with-libsodium
%make_build

%check
%make -k check

%install
%makeinstall_std
find %{buildroot} -type f \( -iname \*.a -o -iname \*.la \) -delete

%files -n %{libname}
%doc AUTHORS NEWS COPYING*
%{_libdir}/libzmq.so.%{major}*

%files -n %{develname}
%doc doc/*.html
%{_libdir}/libzmq.so
%{_libdir}/pkgconfig/libzmq.pc
%{_includedir}/zmq*

%files utils
%{_bindir}/curve_keygen
%{_mandir}/man?/zmq*.bz2

%changelog
* Sun Oct 21 2018 adrianomorselli <adrianomorselli> 4.2.5-1uplos2018
- update
